GHSA-c26h-8h4p-4jgj

Suggest an improvement
Source
https://github.com/advisories/GHSA-c26h-8h4p-4jgj
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2022/05/GHSA-c26h-8h4p-4jgj/GHSA-c26h-8h4p-4jgj.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-c26h-8h4p-4jgj
Aliases
Published
2022-05-24T17:28:26Z
Modified
2023-11-08T04:03:01.259047Z
Severity
  • 5.3 (Medium) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N CVSS Calculator
Summary
Missing permission checks in MongoDB Plugin
Details

A missing permission check in Jenkins MongoDB Plugin 1.3 and earlier allows attackers with Overall/Read permission to gain access to some metadata of any arbitrary files on the Jenkins controller.

References

Affected packages

Maven / org.jenkins-ci.plugins:mongodb

Package

Name
org.jenkins-ci.plugins:mongodb
View open source insights on deps.dev
Purl
pkg:maven/org.jenkins-ci.plugins/mongodb

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Last affected
1.3

Affected versions

1.*

1.0
1.1
1.2
1.3